com.streambase.sb.operator

## Enum Operator.IconKind

- java.lang.Object
- - java.lang.Enum<Operator.IconKind>
  - - com.streambase.sb.operator.Operator.IconKind

- All Implemented Interfaces:
    Serializable, Comparable<Operator.IconKind>
  Enclosing class:
    Operator

      public static enum Operator.IconKind
      extends Enum<Operator.IconKind>

  An enumeration for the different kinds of icons that StreamBase Studio may request when displaying Operators and Adapters.
  See Also:
    `Operator.IconKind.CANVAS_OVERLAY_ICON`, `Operator.IconKind.PALETTE_ICON_LARGE`, `Operator.IconKind.PALETTE_ICON_SMALL`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CANVAS_OVERLAY_ICON` A maximum 24x24 overlay image to be displayed on the bottom-right quadrant of the default StreamBase icon, otherwise an expected 48x48 image is used as the sole icon when displayed on an EventFlow Canvas in Studio.
    `PALETTE_ICON_LARGE` A maximum 32x32 image that is used to display this Operator or Adapter in a Studio chooser.
    `PALETTE_ICON_SMALL` A maximum 16x16 image that is used to display this Operator or Adapter in a Studio chooser.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Operator.IconKind` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Operator.IconKind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CANVAS_OVERLAY_ICON

          public static final Operator.IconKind CANVAS_OVERLAY_ICON

      A maximum 24x24 overlay image to be displayed on the bottom-right quadrant of the default StreamBase icon, otherwise an expected 48x48 image is used as the sole icon when displayed on an EventFlow Canvas in Studio.

      The image should be a PNG, GIF, BMP or JPEG, in that order of preference, within the size restrictions described.

      A transparency channel should be used when possible.

      Since:
        6.0 initial release, 6.1 added support for larger than 24x24 images

    - #### PALETTE_ICON_LARGE

          public static final Operator.IconKind PALETTE_ICON_LARGE

      A maximum 32x32 image that is used to display this Operator or Adapter in a Studio chooser. An input or output adapter overlay icon, if applicable, will be overlayed in the bottom-right quadrant, as a 16x16 image.

      The image should be a 32x32 PNG, GIF, BMP or JPEG, in that order of preference.

      A transparency channel should be used when possible.

      Since:
        6.6 : this icon does not appear directly in the Palette view, but appears in a chooser tree resulting from a Palette drag-and-drop or an Insert menu option

    - #### PALETTE_ICON_SMALL

          public static final Operator.IconKind PALETTE_ICON_SMALL

      A maximum 16x16 image that is used to display this Operator or Adapter in a Studio chooser. An input or output adapter overlay icon, if applicable, will be overlayed in the bottom-right quadrant, as an 8x8 image.

      The image should be a 16x16 PNG, GIF, BMP or JPEG, in that order of preference.

      A transparency channel should be used when possible.

      Since:
        6.6 : this icon does not appear directly in the Palette view, but appears in a chooser tree resulting from a Palette drag-and-drop or an Insert menu option

  - ### Method Detail

    - #### values

          public static Operator.IconKind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Operator.IconKind c : Operator.IconKind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Operator.IconKind valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.